summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_w2k3.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-06-09 07:14:39 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:51 -0500
commit7931aed30de1f3222fe1d60042cf4951469a770f (patch)
tree0665ffa7c5d712fa7b3c1f1b9c950ea4605f206c /source4/script/tests/test_w2k3.sh
parent32e935c8c67902dff2d089658f2877f60fd89b4e (diff)
downloadsamba-7931aed30de1f3222fe1d60042cf4951469a770f.tar.gz
samba-7931aed30de1f3222fe1d60042cf4951469a770f.tar.bz2
samba-7931aed30de1f3222fe1d60042cf4951469a770f.zip
r7421: - move test* functions to a seperate file
- print build farm style output when RUN_FROM_BUILD_FARM=yes metze (This used to be commit 7e567a6b69d05fa180bb4384b503969f79f18068)
Diffstat (limited to 'source4/script/tests/test_w2k3.sh')
-rwxr-xr-xsource4/script/tests/test_w2k3.sh41
1 files changed, 10 insertions, 31 deletions
diff --git a/source4/script/tests/test_w2k3.sh b/source4/script/tests/test_w2k3.sh
index 6b5f12c721..c8f5957442 100755
--- a/source4/script/tests/test_w2k3.sh
+++ b/source4/script/tests/test_w2k3.sh
@@ -25,36 +25,15 @@ domain="$4"
realm="$5"
shift 5
-testit() {
- trap "rm -f test.$$" EXIT
- cmdline="$*"
- if ! $VALGRIND $cmdline > test.$$ 2>&1; then
- cat test.$$;
- rm -f test.$$;
- echo "TEST FAILED - $cmdline";
- exit 1;
- fi
- rm -f test.$$;
- return 0;
-}
-
-testok() {
- name=`basename $1`
- failed=$2
- if [ x"$failed" = x"0" ];then
- echo "ALL OK ($name)";
- else
- echo "$failed TESTS FAILED ($name)";
- fi
- exit $failed
-}
+incdir=`dirname $0`
+. $incdir/test_functions.sh
OPTIONS="-U$username%$password -W $domain --option realm=$realm"
failed=0
-echo Testing RPC-SPOOLSS on ncacn_np
-testit bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
+name="RPC-SPOOLSS on ncacn_np"
+testit "$name" bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate bigendian; do
for transport in ncacn_ip_tcp ncacn_np; do
@@ -63,15 +42,15 @@ for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate b
ncacn_ip_tcp) tests=$ncacn_ip_tcp_tests ;;
esac
for t in $tests; do
- echo Testing $t on $transport with $bindoptions
- testit bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
+ name="$t on $transport with $bindoptions"
+ testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
done
done
done
-echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal
-testit bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
-echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian
-testit bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+name="RPC-DRSUAPI on ncacn_ip_tcp with seal"
+testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+name="RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian"
+testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
testok $0 $failed